#define EXERCISE01
// #define EXERCISE02

using System;

#if EXERCISE01
class DevilsSequence
{
    public static void Main ()
    {
        int start = 7; // setting start value
        Console.WriteLine (start);

        while (start > 1) {
            int remainder = start % 2;
            if (remainder == 1)
            {
                // n is odd
                start = (3 * start + 1) / 2; 
            }
            else
            {
                // n is even
                start = start / 2;
            }
            Console.WriteLine (start);
        }
    }
}
#endif

#if EXERCISE02
class DevilsSequence
{
    public static void Main ()
    {
        MinMaxSequence (10, 500);
    }

    public static int NextElement (int number)
    {
        if (number % 2 == 1)
            return (3 * number + 1) / 2;
        else
            return number / 2;
    }

    public static void MinMaxSequence (int lower, int upper)
    {
        Console.WriteLine ("Interval [{0},{1}]:", lower, upper);

        int min = 2147483647;
        int max = 0;
        int min_element = lower;
        int max_element = lower;
        for (int i = lower; i <= upper; i ++)
        {
            int count = 2;  // take care of first and last element
            int next = i;
            while ((next = NextElement (next)) != 1)
            {
                count ++;
            }

            if (count > max)
            {
                max = count;
                max_element = i;
            }

            if (count < min)
            {
                min = count;
                min_element = i;
            }
        }

        Console.WriteLine ("Shortest Sequence: {0} (element {1})",
            min, min_element);
        Console.WriteLine ("Longest Sequence:  {0} (element {1})",
            max, max_element);
    }
}
#endif