class SimpleArithmetic
{
    public static int SumOfDigits (int number)
    {
        int sum = 0;
        while (number != 0)
        {
            int remainder = number % 10;
            sum += remainder;
            number = number / 10;
        }
        return sum;
    }

    public static int Reverse (int number)
    {
        int result = 0;
        while (number != 0)
        {
            int remainder = number % 10;
            result = 10 * result + remainder;
            number = number / 10;
        }
        return result;
    }
}

class Demo
{
    public static void Main ()
    {
        int n = 123456;

        int m = SimpleArithmetic.SumOfDigits (n);
        System.Console.WriteLine ("SumOfDigits of {0} is {1} ", n, m);

        m = SimpleArithmetic.Reverse (n);
        System.Console.WriteLine ("Reverse of {0} is {1} ", n, m);
    }
}