using System;

class ArrayDemo
{
    public static void Jagged01 ()
    {
        // declare an one-dimensional int[]-array (5 rows high)
        int[][] rectangularArray;
        rectangularArray = new int[5][];

        // declare 5 one-dimensional int-arrays (6 elements long)
        int[] row0 = new int[6];
        int[] row1 = new int[6];
        int[] row2 = new int[6];
        int[] row3 = new int[6];
        int[] row4 = new int[6];

        // assign int-arrays to int[]-array
        rectangularArray[0] = row0;
        rectangularArray[1] = row1;
        rectangularArray[2] = row2;
        rectangularArray[3] = row3;
        rectangularArray[4] = row4;

        // fill array with increasing numbers 0,1,2,3,...
        int counter = 0;
        for (int i = 0; i < rectangularArray.Length; i ++)
        {
            for (int j = 0; j < rectangularArray[i].Length; j ++)
            {
                rectangularArray[i][j] = counter ++;
            }
        }

        // print contents of array to console
        for (int i = 0; i < rectangularArray.Length; i ++)
        {
            for (int j = 0; j < rectangularArray[i].Length; j ++)
            {
                Console.Write ("{0} ", rectangularArray[i][j]);
            }
            Console.WriteLine ();
        }
    }

    public static void Jagged02 ()
    {
        // one-dimensional int[]-array (5 rows, 6 columns)
        int[][] rectangularArray =
        {
            new int[] {0,   1,  2,  3,  4,  5},
            new int[] {6,   7,  8,  9, 10, 11},
            new int[] {12, 13, 14, 15, 16, 17},
            new int[] {18, 19, 20, 21, 22, 23},
            new int[] {24, 25, 26, 27, 28, 29}
        };
        
        // print contents of array to console
        for (int i = 0; i < rectangularArray.Length; i ++)
        {
            for (int j = 0; j < rectangularArray[i].Length; j ++)
            {
                Console.Write ("{0} ", rectangularArray[i][j]);
            }
            Console.WriteLine ();
        }
    }

    public static void Jagged03 ()
    {
        // define five int-arrays with different size
        int[] row0 = {0};
        int[] row1 = {1, 2};
        int[] row2 = {3, 4, 5};
        int[] row3 = {6, 7, 8, 9};
        int[] row4 = {10, 11, 12, 13, 14};

        // define a jagged int[]-array
        int[][] jaggedArray =
        {
            row0,
            row1,
            row2,
            row3,
            row4
        };

        // print contents of array to console
        for (int i = 0; i < jaggedArray.Length; i ++)
        {
            for (int j = 0; j < jaggedArray[i].Length; j ++)
            {
                Console.Write ("{0} ", jaggedArray[i][j]);
            }
            Console.WriteLine ();
        }
    }

    public static void Main ()
    {
        Jagged01();
    }
}
