using System;

class Cint
{
    private int value;

    public Cint (int value)
    {
        this.value = value;
    }
   
    // binary arithmetic operators
    public static Cint operator+ (Cint c1, Cint c2)
    {
        int value = c1.value + c2.value;
        return new Cint (value);
    }

    public static Cint operator- (Cint c1, Cint c2)
    {
        int value = c1.value - c2.value;
        return new Cint (value);
    }

    public static Cint operator* (Cint c1, Cint c2)
    {
        int value = c1.value * c2.value;
        return new Cint (value);
    }

    public static Cint operator/ (Cint c1, Cint c2)
    {
        int value = c1.value / c2.value;
        return new Cint (value);
    }

    // comparison operators
    public static bool operator== (Cint c1, Cint c2)
    {
        return c1.value == c2.value;
    }

    public static bool operator!= (Cint c1, Cint c2)
    {
        return c1.value != c2.value;
    }
    
    public static bool operator< (Cint c1, Cint c2)
    {
        return c1.value < c2.value;
    }

    public static bool operator> (Cint c1, Cint c2)
    {
        return c1.value > c2.value;
    }

    public static bool operator<= (Cint c1, Cint c2)
    {
        return c1.value <= c2.value;
    }

    public static bool operator>= (Cint c1, Cint c2)
    {
        return c1.value >= c2.value;
    }

    // unary operators (boolean and bitwise)
    public static bool operator true (Cint c)
    {
        return c.value == 0 ? false : true;
    }

    public static bool operator false (Cint c)
    {
        return c.value != 0 ? false : true;
    }

    public static bool operator ! (Cint c)
    {
        return c ? false : true;
    }

    public static Cint operator ~ (Cint c)
    {
        return new Cint (~ c.value);
    }

    // binary operators
    public static Cint operator & (Cint c1, Cint c2)
    {
        return null;
    }

    public static Cint operator | (Cint c1, Cint c2)
    {
        return null;
    }

    public static Cint operator ^ (Cint c1, Cint c2)
    {
        return null;
    }

    public static Cint operator << (Cint c1, int n)
    {
        return null;
    }

    public static Cint operator >> (Cint c1, int n)
    {
        return null;
    }

    // Weiter: "Operator Overloading Tutorial"

    public override String ToString ()
    {
        return String.Format ("{0}", this.value);
    }
}

class Demo
{
    public static void Main ()
    {
        Cint x = new Cint (1);
        Cint y = new Cint (2);

        Cint z = x + y;
        Console.WriteLine ("z={0}", z);

        z = new Cint (2);
        if (! z)
            Console.WriteLine ("yes ...");
        else
            Console.WriteLine ("no ...");
    }
}
