using System;

class ArrayDemo
{
    public static void Main ()
    {
        Demo01 ();
        Demo02 ();
    }

    public static void Demo01 ()
    {
        int[] array = new int[10];

        for (int i = 0; i < array.Length; i ++)
            array[i] = 2 * i;

        for (int i = 0; i < array.Length; i ++)
            Console.WriteLine (array[i]);
    }

    public static void Demo02 ()
    {
        // retrieve a type object with the specified name
        Type t = Type.GetType ("System.Int32");

        // create an object of type "array of int"
        Array array = Array.CreateInstance (t, 10);

        // initialize array object
        for (int i = 0; i < array.Length; i ++)
        {
            array.SetValue (2 * i, i);
        }

        // traverse array object
        for (int i = 0; i < array.Length; i ++)
        {
            int n = (int) array.GetValue (i);
            Console.WriteLine ("{0}", n);
        }
    }
}
