#include <stdio.h>

class Calculator
{
private:
    int m_total;

public:
    Calculator () { m_total = 0; }
    void add (int val) { m_total += val; }
    void sub (int val) { m_total -= val; }
    void mul (int val) { m_total *= val; }
    void div (int val) { m_total /= val; }
    void reset () { m_total = 0; }
    int result () { return m_total; }
};

#define VARIANT03

int main()
{
#ifdef VARIANT01
    // testing calculator
    Calculator calc;
    calc.add (1);
    calc.add (2);
    calc.add (3);
    int result = calc.total ();
    calc.reset ();
    printf ("result: %d\n", result);
#endif

#ifdef VARIANT02
    // testing member function pointer
    void (Calculator::*pmf1)(int);
    int (Calculator::*pmf2)();
    void (Calculator::*pmf3)();

    Calculator calc;
    pmf1 = &Calculator::add;
    (calc.*pmf1)(4);
    (calc.*pmf1)(5);
    (calc.*pmf1)(6);
    pmf2 = &Calculator::result;
    int result = (calc.*pmf2)();
    printf ("result: %d\n", result);
    pmf3 = &Calculator::reset;
    (calc.*pmf3)();
#endif
 

#ifdef VARIANT03
    Calculator calc;
    void (Calculator::*pmf)(int);
    pmf = &Calculator::add;
    (calc.*pmf)(1);
    (calc.*pmf)(2);
    int result = calc.result();
    printf ("result: %d\n", result);
#endif

    return 0;
}
