using System;

class CallStack
{
    public static void Method01 ()
    {
        try
        {
            Method02 ();
            Console.WriteLine ("Method01");
        }
        catch (IndexOutOfRangeException)
        {
            Console.WriteLine ("Index out of Range Problem");
        }    
    }

    public static void Method02 ()
    {
        try
        {
            Method03 ();
            Console.WriteLine ("Method02");
        }
        catch (DivideByZeroException)
        {
            Console.WriteLine ("Division Problem");
        }        
    }

    public static void Method03 ()
    {
        // consider a risky statement
        try
        {
            Exception e = new
                NullReferenceException ();
                // DivideByZeroException ();
                // IndexOutOfRangeException ();
            throw e;
            Console.WriteLine ("Method03");
        }
        catch (NullReferenceException e)
        {
            Console.WriteLine ("Null reference Problem: {0}", e.Message);
        }
    }
}

class Demo
{
    public static void Main ()
    {
        CallStack.Method01 ();
    }
}
