#include <stdio.h>

void
main ()
{
    FILE * fp = NULL;

    // open for read (fails if file "dummy.txt" does not exist)
    fp = fopen (
        "D:\\Temp\\DummyInputOutput\\Debug\\dummy.txt",  // name of file
        "r"           // type of access (reading)
    );
    if (fp == NULL)
    {
        printf ("fopen failed !!!\n");

        return;
    }

    // attempt to read in 10 characters
    char buffer[10];
    unsigned int charsRead;
    charsRead = fread (
        buffer,             // storage location for data
        sizeof (char),      // item size in bytes
        10,                 // number of items to be read
        fp                  // Pointer to FILE structure
    );
    if (charsRead != 10)
    {
        printf ("fread failed !!!\n");

        // close stream
        fclose (fp);

        // exit application
        return;
    }

    /* close stream */
    fclose (fp);
}