using System;
using System.Drawing;
using System.Windows.Forms;

class StatusPanel : Panel
{
    private Label lLines;
    private Label lChars;

    public StatusPanel ()
    {
        // setup panel
        this.Height = 24;
        this.BorderStyle = BorderStyle.Fixed3D;

        // setup labels
        Label l1 = new Label ();
        l1.Location = new Point (10, 0);
        l1.Size = new Size (25, 20);
        l1.Text = "Ln:";
        l1.TextAlign = ContentAlignment.MiddleCenter;

        this.lLines = new Label ();
        this.lLines.Location = new Point (35, 0);
        this.lLines.Size = new Size (50, 20);
        this.lLines.TextAlign = ContentAlignment.MiddleLeft;

        Label l2 = new Label ();
        l2.Location = new Point (100, 0);
        l2.Size = new Size (25, 20);
        l2.Text = "Ch:";
        l2.TextAlign = ContentAlignment.MiddleCenter;

        this.lChars = new Label ();
        this.lChars.Location = new Point (125, 0);
        this.lChars.Size = new Size (50, 20);
        this.lChars.TextAlign = ContentAlignment.MiddleLeft;

        // add controls to container
        this.Controls.Add (l1);
        this.Controls.Add (l2);
        this.Controls.Add (this.lLines);
        this.Controls.Add (this.lChars);
    }

    public int Lines
    {
        set
        {
            this.lLines.Text = value.ToString ();
        }
    }

    public int Chars
    {
        set
        {
            this.lChars.Text = value.ToString ();
        }
    }
}