using System;
using System.Drawing;
using System.Windows.Forms;

class StandardWinForms : Form
{
    public StandardWinForms ()
    {
        // setup form
        this.Text = "Layout: split container control";
        this.Size = new Size (300, 150);

        // setup first text box
        TextBox tb1 = new TextBox ();
        tb1.Multiline = true;
        tb1.Text = "This sentence should appear\r\nin the upper text box ...";
        tb1.Dock = DockStyle.Fill;

        // setup second text box
        TextBox tb2 = new TextBox ();
        tb2.Multiline = true;
        tb2.Text = "... and these words\r\nin the lower text box";
        tb2.Dock = DockStyle.Fill;

        // setup split container
        SplitContainer sc = new SplitContainer ();
        sc.Panel1.Controls.Add (tb1);
        sc.Panel2.Controls.Add (tb2);
        sc.Orientation = Orientation.Horizontal;
        sc.Dock = DockStyle.Fill;

        // add split container control to container
        this.Controls.Add (sc);
    }
}