using System;
using System.Drawing;
using System.Windows.Forms;

public class PieChartForm : Form
{
    public PieChartForm ()
    {
        // setup form
        this.Size = new Size (500, 310);
        this.Text = "PieChart Demo";

        // setup piechart control
        PieChart pc = new PieChart ();
        pc.Title = "Amtliches Endergebnis Bundestagswahl 2005";
        pc.Location = new Point (10, 10);
        this.Controls.Add (pc);

        PieChartElement[] elements =
        {
            new PieChartElement ("SPD (222 Sitze)", 34.2F, Color.Red),
            new PieChartElement ("CDU (180 Sitze)", 27.8F , Color.Black),
            new PieChartElement ("FDP (61 Sitze)", 9.8F , Color.Yellow),
            new PieChartElement ("Linke (54 Sitze)", 8.7F , Color.LightCoral),
            new PieChartElement ("Grne (51 Sitze)", 8.1F , Color.Green),
            new PieChartElement ("CSU (46 Sitze)", 7.4F , Color.DarkGray),
            new PieChartElement ("Sonstige", 4.0F , Color.Magenta)
        };
        pc.Elements = elements;
    }
}
