using System;
using System.Threading;
using System.Drawing;
using System.Windows.Forms;
using System.ComponentModel;

class BubbleSortForm : Form
{
    // default c'tor
    public BubbleSortForm ()
    {
        // setup form
        this.Text = "Multithreaded Bubble Sorter";
        this.ClientSize = new Size (800, 600);

        // setup panel
        BubbleSortView view = new BubbleSortView ();
        view.Dock = DockStyle.Fill;

        // setup toolbar
        BubbleSortController controller = new BubbleSortController (view);
        controller.Dock = DockStyle.Top;

        // add controls to container
        this.Controls.Add (view);
        this.Controls.Add (controller);
    }
}
