using System;
using System.IO;

class Reader
{
    public static void Read ()
    {   
        // open existing data file
        FileStream fs = new FileStream (
            @"..\..\..\Test.dat",
            FileMode.Open
        );

        // create reader for data
        BinaryReader br = new BinaryReader (fs);

        // read data from file
        while (true)
        {
            try
            {
                int n = br.ReadInt32 ();
                Console.WriteLine (n);
            }
            catch (EndOfStreamException)
            {
                // end of stream reached
                break;
            }
        }

        // close writer and stream
        br.Close ();
        fs.Close ();
    }
}
