#define VARIANTE_01
// #define VARIANTE_02
// #define VARIANTE_03

using System;
using System.IO;

class ConsoleDemo
{
    public static void Main ()
    {
#if VARIANTE_01
        Console.Out.WriteLine ("Hallo stdout ...");
        Console.WriteLine ("Hallo stdout ...");
#endif

#if VARIANTE_02
        TextWriter tw = Console.Out;
        Type t = tw.GetType ();
        Console.WriteLine (t.Name);

        TextReader tr = Console.In;
        t = tr.GetType ();
        Console.WriteLine (t.Name);
#endif

#if VARIANTE_03
        Console.WriteLine("Redirecting stdout ...");

        // first, save the standard output.
        TextWriter tw = Console.Out;

        // create new standard output stream
        FileStream fs = new FileStream (@"..\..\test.txt", FileMode.Create);
        StreamWriter sw = new StreamWriter (fs);
        Console.SetOut (sw);
        Console.WriteLine ("This text should appear in a file!");
        Console.WriteLine ("Good bye.");
        sw.Close ();
        fs.Close ();
 
        Console.SetOut (tw);
        Console.WriteLine ("End of redirecting stdout."); 
#endif 
    }
}

