using System;
using System.Collections;

class Token
{
    private String name;
    private ArrayList lines;

    public Token (String name)
    {
        this.name = name;
        this.lines = new ArrayList ();
    }

    public String Name
    {
        get
        {
            return this.name;
        }
    }

    public void EnterLine (int line)
    {
        // line already exists in the list
        for (int i = 0; i < this.lines.Count; i ++)
        {
            if ((int) this.lines[i] == line)
                return;
        }

        // it's a new line
        this.lines.Add (line);
    }

    public void PrintLines ()
    {
        for (int i = 0; i < this.lines.Count; i ++)
        {
            Console.Write ("{0,5}", (int) this.lines[i]);

            if ((i + 1) % 8 == 0)
            {
                Console.WriteLine ();
                Console.Write ("{0,18}", " ");
            }
        }
    }
}
