using System;
using System.Text;
using System.IO;

class Writer
{
    public static void Write ()
    {
        // create a new instance of the StringWriter class
        // (a StringBuilder instance is automatically created)
        StringWriter sw = new StringWriter ();

        // write some strings into the string writer
        sw.WriteLine ("Products:");
        sw.WriteLine ("  Raclette Courdavault");
        sw.WriteLine ("  Camembert Pierrot");
        sw.WriteLine ("  Tarte au sucre");
        sw.WriteLine ("  Vegie-spread");
        sw.WriteLine ("  Louisiana Fiery Hot Pepper Sauce");
        sw.Write ("  Laughing Lumberjack Lager");
        sw.Write (sw.NewLine);
        sw.Write ("Number of Products: {0}", 6);
        sw.Close ();

        // retrieve underlying StringBuilder instance
        StringBuilder sb = sw.GetStringBuilder ();

        // copy contents of StringBuilder to console output
        Console.WriteLine (sb.ToString ());
    }
}
