using System;

class CrazySeven 
{
    public static void Main ()
    {
        PlayTheGame ();
    }

    private static void PlayTheGame ()
    {
        for (int i = 1; i < 100; i ++) 
        {
            if (i % 7 == 0 || IsDigitSevenInNumber (i)) 
            {
                Console.WriteLine ("{0}: Piep", i);
            }
            else 
            {
                Console.WriteLine ("{0}: {1}", i, i);        
            }
        }
    }

    private static bool IsDigitSevenInNumber (int n)
    {
        while (n != 0)
        {
            int rest = n % 10;
            if (rest == 7)
                return true;
            n = n / 10;
        }
        return false;
    }
}
