using System;

class Date
{
    private int day;
    private int month;
    private int year;

    public Date () : this (1, 1, 2000)
    {
    }

    public Date (int day, int month, int year)
    {
        if (! this.Validate (day, month, year))
        {
            this.day = 1;
            this.month = 1;
            this.year = 2000;
        }
        else
        {
            this.day = day;
            this.month = month;
            this.year = year;
        }
    }

    public void SetDay (int day)
    {
        if (day < 1 || day > 31)
            this.day = 1;
        else
            this.day = day;
    }

    public int GetDay ()
    {
        return this.day;
    }

    public void SetMonth (int month)
    {
        if (month < 1 || month > 12)
            this.month = 1;
        else
            this.month = month;
    }

    public int GetMonth ()
    {
        return this.month;
    }

    public void SetYear (int year)
    {
        this.year = year;
    }

    public int GetYear ()
    {
        return this.year;
    }

    private bool Validate (int day, int month, int year)
    {
        // very, very simple consistency check
        if (day < 1 || day > 31)
            return false;

        if (month < 1 || month > 12)
            return false;

        return true;
    }
}

class Demo
{
    public static void Main ()
    {
        Date d = new Date ();
        d.SetDay (15);
    }
}