using System;

struct Point
{
    private int x;
    private int y;

    public Point (int x, int y)
    {
        this.x = x;
        this.y = y;
    }

    public int X
    {
        get
        {
            return this.x;
        }

        set
        {
            this.x = value;
        }
    }

    public int Y
    {
        get
        {
            return this.y;
        }

        set
        {
            this.y = value;
        }
    }

    public void Clear ()
    {
        this.X = 0;
        this.Y = 0;
    }
    
    public override String ToString ()
    {
        return String.Format ("[{0},{1}]", this.x, this.y);
    }
}

class Demo
{
    public static void Main ()
    {
        Demo02 ();
    }

    public static void ClearPoint (Point p)
    {
        p.X = 0;
        p.Y = 0;
    }

    private static void Demo01 ()
    {
        //        Point p = new Point (1, 2);
        //        Console.WriteLine ("p: {0}", p.ToString ());
        //        ClearPoint (p);
        //        Console.WriteLine ("p: {0}", p.ToString ());

        Point p = new Point (1, 2);
        Console.WriteLine ("p: {0}", p.ToString ());
        p.Clear ();
        Console.WriteLine ("p: {0}", p.ToString ());
    }

    private static void Demo02 ()
    {
        Point p = new Point (1, 2);
        Object o = p;
        Console.WriteLine (o.ToString ());
        p.Y = 3;
        Console.WriteLine (o.ToString ());
    }
}

