using System;
using System.Collections;

class Point
{
    public int x;
    public int y;

    public Point (int x, int y)
    {
        this.x = x;
        this.y = y;
    }
}

class Line
{
}

class ArrayListDemo
{
    public static void Main ()
    {
        Demo04 ();
    }

    private static void Demo01 ()
    {
        ArrayList polygon = new ArrayList ();

        Point p1 = new Point (1, 2);
        Point p2 = new Point (3, 4);
        Point p3 = new Point (5, 6);

        polygon.Add (p1);
        polygon.Add (p2);
        polygon.Add (p3);

        for (int i = 0; i < polygon.Count; i ++)
        {
            Point p = (Point) polygon[i];
            Console.WriteLine ("[{0},{1}]", p.x, p.y);
        }
    }

    private static void Demo02 ()
    {
        ArrayList list = new ArrayList ();

        Point p1 = new Point (1, 2);
        Line l = new Line ();
        Point p3 = new Point (5, 6);

        list.Add (p1);
        list.Add (l);
        list.Add (p3);

        for (int i = 0; i < list.Count; i ++)
        {
            Object o = list[i];
            if (o is Point)
            {
                Point p = (Point) o;
                Console.WriteLine ("[{0},{1}]", p.x, p.y);
            }
            else if (o is Line)
            {
                // ...
                Console.WriteLine ("...");
            }
        }
    }

    private static void Demo03 ()
    {
        ArrayList ints = new ArrayList ();
        ints.Add (1);
        ints.Add (2);
        ints.Add (3);

        for (int i = 0; i < ints.Count; i ++)
        {
            int n = (int) ints[i];
            Console.WriteLine ("{0}", n);
        }
    }

    private static void Demo04 ()
    {
        ArrayList list = new ArrayList ();

        Console.WriteLine ("Capacity: {0}, Size: {1}",
            list.Capacity, list.Count);

        for (int i = 0; i < 16; i ++)
            list.Add (i);

        Console.WriteLine ("Capacity: {0}, Size: {1}",
            list.Capacity, list.Count);

        list.Add (16);

        Console.WriteLine ("Capacity: {0}, Size: {1}",
            list.Capacity, list.Count);

        list.TrimToSize ();

        Console.WriteLine ("Capacity: {0}, Size: {1}",
            list.Capacity, list.Count);
    }
}
