using System;

namespace NonstaticCalculator
{
    // declaring a delegate for a method
    // that accepts an 'int' and returns nothing
    delegate void Calculate (int value);

    class Calculator
    {
        private int total;

        public Calculator () { this.total = 0; }
        public void Reset () { this.total = 0; }

        public void Add (int value) { this.total += value; }
        public void Sub (int value) { this.total -= value; }
        public void Mul (int value) { this.total *= value; }
        public void Div (int value) { this.total /= value; }

        public int Total
        {
            get { return this.total; }
        }
    }
}
