using System;
using System.Drawing;
using System.Drawing.Text;

class EnumFontFamilies
{
    public static void Main ()
    {
        InstalledFontCollection fonts = new InstalledFontCollection ();
        FontFamily[] families = fonts.Families;

        for (int i = 0; i < families.Length; i ++)
        {
            String name = families[i].Name;

            int numStyles = 0;
            if (families[i].IsStyleAvailable (FontStyle.Bold))
                numStyles ++;
            if (families[i].IsStyleAvailable (FontStyle.Italic))
                numStyles ++;
            if (families[i].IsStyleAvailable (FontStyle.Regular))
                numStyles ++;
            if (families[i].IsStyleAvailable (FontStyle.Strikeout))
                numStyles ++;
            if (families[i].IsStyleAvailable (FontStyle.Underline))
                numStyles ++;

            Console.WriteLine ("{0} [{1}]", name, numStyles);
        }
    }
}
