using System;
using System.IO;

class DirectoryDemo
{
    public static void Main ()
    {
        // print some directory infos
        String dir = @"C:\Inetpub";
        if (Directory.Exists (dir))
        {
            Console.WriteLine ("Directory info:");
            Console.WriteLine ("  Parent Directory:  {0}",
                Directory.GetParent (dir));
            Console.WriteLine ("  Creation Time:     {0}",
                Directory.GetCreationTime (dir));
            Console.WriteLine ("  Last AccessTime:   {0}",
                Directory.GetLastAccessTime (dir));

            String[] dirs = Directory.GetDirectories (dir);
            Console.WriteLine ("  Subdirectories:");
            for (int i = 0; i < dirs.Length; i ++)
                Console.WriteLine ("    {0}", dirs[i]);
        }
    }
}