using System;
using System.IO;

class DirectoryInfoDemo
{
    public static void Main ()
    {
        DirectoryInfo di = new DirectoryInfo (@"C:\Inetpub");
        if (di.Exists)
        {
            Console.WriteLine ("Directory info:");
            DirectoryInfo parent = di.Parent;
            Console.WriteLine
                ("  Parent Directory:  {0}", parent.Name);
            Console.WriteLine
                ("  Creation Time:     {0}", di.CreationTime);
            Console.WriteLine
                ("  Last AccessTime:   {0}", di.LastAccessTime);

            DirectoryInfo[] dirs = di.GetDirectories ();
            Console.WriteLine ("  Subdirectories:");
            for (int i = 0; i < dirs.Length; i ++)
                Console.WriteLine ("    {0}", dirs[i].FullName);
        }
    }
}
