using System;
using System.IO;

class Writer
{
    public static void Write ()
    {
        // create new, empty data file
        FileStream fs = new FileStream (
            "..\\..\\..\\Test.txt",
            FileMode.CreateNew
        );

        // create stream writer for the specified stream
        StreamWriter sw = new StreamWriter (fs);

        // writing text representation of a Boolean
        sw.WriteLine (true);

        // write a character
        sw.WriteLine ('?');

        // writing text representation of a 8-byte floating-point value
        sw.WriteLine (123.456);

        // writing text representation of a 4-byte signed integer
        sw.WriteLine (123);

        // writing text representation of an 8-byte signed integer
        sw.WriteLine ((long) 123);

        // write a string to the text stream
        sw.WriteLine ("ABCDE");

        // close writer and stream
        sw.Close ();
        fs.Close ();
    }
}

