using System;
using System.Text;
using System.IO;

class Reader
{
    public static void Read ()
    {
        String text =
            "UserName = PeLo;\n" +
            "Access = ReadOnly;\n" +
            "Administrator = ReadWrite;";

        StringReader sr = new StringReader (text);
        StringWriter sw = new StringWriter ();

        while (true)
        {
            // read next character from the input string
            int n = sr.Read ();

            // check for end of string 
            if (n == -1)
                break;

            // convert integer to its equivalent Unicode character
            char ch = Convert.ToChar (n);
            if (ch == ' ')
            {
                continue;
            }
            else if (ch == '=')
            {
                // emit name
                Console.WriteLine ("Name:  {0}", sw.ToString ());

                // clear underlying StringBuilder of StringWriter
                StringBuilder sb = sw.GetStringBuilder ();
                sb.Remove (0, sb.Length);
                continue;
            }
            else if (ch == ';')
            {
                // emit value
                Console.WriteLine ("Value: {0}", sw.ToString ());

                // clear underlying StringBuilder of StringWriter
                StringBuilder sb = sw.GetStringBuilder ();
                sb.Remove (0, sb.Length);
            }
            else if (ch == '\n')
            {
                // skip new line character between lines
                continue;
            }            
            else
            {
                // store character
                sw.Write (ch);
            }
        }
    }
}
